Name:           remind
Version:        03.01.13
Release:        %mkrel 1
Summary:        A sophisticated calendar and alarm program
%define gname	tkremind

Group:          Office
License:        GPLv2
URL:            http://www.roaringpenguin.com/en/penguin/openSourceProducts/remind
Source0:        http://www.roaringpenguin.com/files/download/%{name}-%{version}.tar.xz
Source1:        %{gname}.png
Patch0:         remind-nostrip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       tcl
BuildRequires:  desktop-file-utils
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
Remind is a sophisticated calendar and alarm program. 
It includes the following features:
  * A sophisticated scripting language
  * Plain-text, PostScript and HTML output
  * Timed reminders and pop-up alarms

%package gui
Group:          Office
Summary:        A graphical front-end for remind using Tcl/Tk
Requires:       tk >= 8.0
Requires:       %{name} = %{version}-%{release}
Requires:       tcl-tcllib

%description gui
The remind-gui package contains a (self-described) 
"cheesy" graphical front end for Remind using Tcl/Tk.

%prep
%setup -q
# Convert remind man page to UTF8
pushd man
iconv -c -t UTF8 remind.1 > remind.1.utf8
mv remind.1.utf8 remind.1
popd
%patch0 -p1
pushd www
find . -type f -exec chmod -x {} \;
popd

%build
%configure2_5x
%make %{?_smp_mflags}

%check
cd src
if ! make test; then
  set +x
  for f in `find .. -name \*.diff -type f -print`; do
    echo "TEST FAILURE: $f --"
    cat "$f"
    echo "-- $f result ends."
  done
  set -x
fi

%install
rm -rf $RPM_BUILD_ROOT
# This preserves timestamps.
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

# Copy rem2html to /usr/bin.  Leave in the www directory also as it is used
# by the demo program there.
%{__install} -m 755 -p www/rem2html $RPM_BUILD_ROOT/usr/bin/

%__mkdir_p ${RPM_BUILD_ROOT}%{_datadir}/applications
cat > ${RPM_BUILD_ROOT}%{_datadir}/applications/%{gname}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=%gname
GenericName=Remind Tk GUI
Exec=%gname
Icon=%gname
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Office-TimeManagement;
StartupNotify=true
EOF

desktop-file-install --vendor ""\
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{gname}.desktop

# icon
%__mkdir_p %{buildroot}%{_iconsdir}
%__install -m 644 %SOURCE1 %{buildroot}%{_iconsdir}/%{gname}.png


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/rem2html
%{_bindir}/cm2rem.tcl
%{_bindir}/rem2ps
%{_bindir}/remind
%{_bindir}/rem
%{_mandir}/man1/cm2rem.1.*
%{_mandir}/man1/rem2ps.1.*
%{_mandir}/man1/remind.1.*
%{_mandir}/man1/rem.1.*

%doc COPYRIGHT docs/README.UNIX docs/WHATSNEW examples www

%files gui
%defattr(-,root,root,-)
%{_bindir}/%{gname}
%{_datadir}/applications/%{gname}*
%{_iconsdir}/%{gname}.png
%{_mandir}/man1/%{gname}.1.*

%changelog
* Tue Nov 25 2014 pinoc <vogtpet at gmail.com> 03.01.13-1pclos2014
- 03.01.13

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 03.01.09-1pclos2010
- 03.01.09

* Sun Dec 27 2009 Texstar <texstar at gmail.com> 03.01.06-2pclos2010
- rebuild for new tcl

* Sat May 23 2009 Texstar <texstar@gmail.com> 03.01.06-1pclos2009
- update and fix rpm group

* Sun Dec 30 2007 Stumpy842 <stump842@gmail.com> - 03.01.03-1pclos2007
- Build for pclos
- remove old menu entry (texstar)
